# Shipments Shipments ## Initiates workflow to warm up inventory transactions - [POST /shipments/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/warmupstepfunctions.md) ## Processes a shipment - [POST /shipments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/processshipment.md): This method will auto-generate an ID and create a new shipment. If an ID is specified for the shipment, an error will be thrown. ## Execute Batch Operations - [POST /shipments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified order_id - [GET /shipments/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/listshipmentsbyorderid.md): Returns a list of records with the specified order_id ## Sends out a preview of the CRC notification email - [POST /shipments/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/previewemail.md): Sends out a preview of the CRC notification email ## Gets all of the shipments in the system. - [GET /shipments/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/listshipments.md): This method will scan all shipments and and return them to the caller. ## Processes a shipment - [POST /shipments/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/processshipmentsync.md): This method will auto-generate an ID and create a new shipment. If an ID is specified for the shipment, an error will be thrown. ## Returns a shipment from the system by its ID. - [DELETE /shipments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/deleteshipment.md): This method will delete a shipment with the specified ID. ## Returns a shipment from the system by its ID. - [GET /shipments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/getshipment.md): This method will look up a shipment by the specified ID and return it back. ## Partially updates a shipment with the specified ID. - [PATCH /shipments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/patchshipment.md): This method will patch an existing shipment with the specified ID, using the HTTP PATCH specification. ## Updates a shipment with the specified ID. - [PUT /shipments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/shipments/updateshipment.md): This method will update an existing shipment with the specified ID.